Subject: bug#49570: 28.0.50; url-http proxy connection-wait

From: Gregory Heytings <[email-masked]>
Date: Wed, 21 Jul 2021 13:11:18 +0000

>
> If pruning loses data it shouldn't be enabled by default in all 
> checkouts, e.g. if a branch is accidentally deleted by someone else then 
> simply fetching shouldn't propagate that deletion for others.  So IMO 
> the developer should decide when and how to enable this.  (Unless I've 
> misunderstood something.)
>

Pruning a branch does not lose data AFAIK, it only removes the pointer to 
the last commit of that branch.